Skip to main content
`Ctrl`+`K`

# PetscInfoDeactivateClass

Deactivates `PetscInfo()` messages for a PETSc object class.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscInfoDeactivateClass(PetscClassId classid)

Not Collective

## Input Parameter

- classid - The object class, e.g., `MAT_CLASSID`, `SNES_CLASSID`, etc.

## Options Database Key

- -info [filename][:[~]<list,of,classnames>[:[~]self]] - specify which informative messages are printed, See `PetscInfo()`.

## Note

One can pass 0 to deactivate all messages that are not associated with an object.

## See Also

Interpreting -info Output: Informative Messages, `PetscInfoActivateClass()`, `PetscInfo()`, `PetscInfoAllow()`, `PetscInfoSetFromOptions()`

## Level

developer

## Location

src/sys/info/verboseinfo.c

## Examples

src/mat/tutorials/ex7.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages